#include <LPC23xx.h>

#include "delay.h"
#include "tftlcd_functions.h"
#include "ov7670.h"
#include "eye.h"

int main(void)
{
	
	SCS|=1;

	OV_POWER_DOWN;
	wait_ms(50);
	tftlcd_init();
	tftlcd_clear;
	tftlcd_write_pic_fast(0,0,319,239,eye);
	tftlcd_putsf("Config Camera",BLUE,BLUE,1);
	tftlcd_nextline();
	tftlcd_putsf("Please Wait .........",BLUE,BLUE,1);
	tftlcd_nextline();

	tftlcd_leavebus();
	while(0==OV7670_init());
	OV_POWER_DOWN;
	tftlcd_takebus();
	tftlcd_putsf("Complete!",GREEN,BLUE,0);
	wait_ms(100);
	tftlcd_set_win(0 ,0, 319,239);
	tftlcd_leavebus();
	EXT_INT_EN;
	OV_POWER_UP;
		




	while(1);

}
