#ifndef _OV7670_CONFIG_H_
	#define _OV7670_CONFIG_H_

	#define CHANGE_REG_NUM			198

const unsigned char cam_reg[CHANGE_REG_NUM][2]=
{
	{0x00, 0x00},			//GAIN
	{0x01, 0x40},			//BLUE
	{0x02, 0x40},			//RED
	{0x03, 0x06},			//VREF
	{0x04, 0x00},			//COM1
	{0x05, 0x00},			//BAVE					-+-
	{0x06, 0x00},			//GbAVE					-+-
	{0x07, 0x00},			//AECHH					-+-
	{0x08, 0x00},			//RAVE					-+-
	{0x09, 0x03},			//COM2
//	{0x0A, 0x76},			//PID					-+-
//	{0x0B, 0x73},			//VER					-+-
	{0x0c, 0x04},			//COM3
	{0x0d, 0x40},			//COM4
	{0x0e, 0x61},			//COM5
	{0x0f, 0x4b},			//COM6
	{0x10, 0x00},			//AECH
	{0x11, 0x01},			//CLKRC
	{0x12, 0x04},			//COM7
	{0x13, 0xe7},			//COM8
	{0x14, 0x28},			//COM9
	{0x15, 0x20},			//COM10	
	{0x16, 0x02},			//RSVD
	{0x17, 0x16},			//HSTART
	{0x18, 0x04},			//HSTOP
	{0x19, 0x02},			//VSTART
	{0x1a, 0x7b},			//VSTOP
	{0x1B, 0x00},			//PSHIFT				-+-
//	{0x1C, 0x7F},			//MIDH					-+-		
//	{0x1D, 0xA2},			//MIDL					-+-
	{0x1e, 0x37},			//MVFP					-+-
	{0x1F, 0x00},			//LAEC					-+-
	{0x20, 0x04},			//ADCCTR0				-+-
	{0x21, 0x02},			//ADCCTR1
	{0x22, 0x91},			//ADCCTR2
	{0x23, 0x00},			//ADCCTR3				-+-
	{0x24, 0x65},			//AEW
	{0x25, 0x33},			//AEB
	{0x26, 0xe3},			//VPT
	{0x27, 0x80},			//BBIAS					-+-
	{0x28, 0x80},			//GbBIAS				-+-
	{0x29, 0x07},			//RSVD
	{0x2A, 0x00},			//EXHCH					-+-
	{0x2B, 0x00},			//EXHCL					-+-
	{0x2C, 0x80},			//RBIAS					-+-
	{0x2D, 0x00},			//ADVFL					-+-
	{0x2E, 0x00},			//ADVFH					-+-
	{0x2F, 0x00},			//YAVE					-+-
	{0x30, 0x08},			//HSYST					-+-
	{0x31, 0x30},			//HSYEN					-+-
	{0x32, 0x80},			//HREF
	{0x33, 0x0b},			//CHLF
	{0x34, 0x11},			//ARBLM
	{0x35, 0x0b},			//RSVD
	{0x36, 0x00},			//RSVD					-+-
	{0x37, 0x1d},			//ADC					
	{0x38, 0x71},			//ACOM
	{0x39, 0x2a},			//OFON
	{0x3a, 0x04},			//TSLB
	{0x3b, 0xC2},			//COM11
	{0x3c, 0x78},			//COM12
	{0x3d, 0xC2},			//COM13
	{0x3e, 0x19},			//COM14					  !!!!!!!
	{0x3f, 0x00},			//EDGE
	{0x40, 0xD0},			//COM15
	{0x41, 0x38},			//COM16
	{0x42, 0x00},			//COM17					-+-
	{0x43, 0x14},			//AWBC1
	{0x44, 0xf0},			//AWBC2
	{0x45, 0x34},			//AWBC3
	{0x46, 0x58},			//AWBC4
	{0x47, 0x28},			//AWBC5
	{0x48, 0x3a},			//AWBC6
	{0x49, 0x00},			//RSVD					-+-
	{0x4A, 0x00},			//RSVD					-+-
	{0x4b, 0x09},			//REG4B
	{0x4c, 0x00},			//DNSTH
	{0x4d, 0x40},			//DM_POS
	{0x4e, 0x20},			//RSVD
	{0x4f, 0x80},			//MTX1
	{0x50, 0x80},			//MTX2
	{0x51, 0x00},			//MTX3
	{0x52, 0x22},			//MTX4
	{0x53, 0x5e},			//MTX5
	{0x54, 0x80},			//MTX6
	{0x55, 0x00},			//BRIGHT
	{0x56, 0x45},			//CONTRAS
	{0x57, 0x80},			//CONTRAS-CENTER		-+-
	{0x58, 0x9e},			//MTXS
	{0x59, 0x88},			//AWBC7
	{0x5a, 0x88},			//AWBC8
	{0x5b, 0x44},			//AWBC9
	{0x5c, 0x67},			//AWBC10
	{0x5d, 0x49},			//AWBC11
	{0x5e, 0x0e},			//AWBC12
	{0x5F, 0xF0},			//B_LMT					-+-
	{0x60, 0xF0},			//R_LMT					-+-
	{0x61, 0xF0},			//G_LMT					-+-
	{0x62, 0x00},			//LCC1					-+-
	{0x63, 0x00},			//LCC2					-+-
	{0x64, 0x04},			//LCC3
	{0x65, 0x20},			//LCC4
	{0x66, 0x05},			//LCC5
	{0x67, 0x80},			//MANU					-+-
	{0x68, 0x80},			//MANV					-+-
	{0x69, 0x00},			//GIFX
	{0x6a, 0x40},			//GGAIN
	{0x6b, 0x4a},			//DBLV
	{0x6c, 0x0a},			//AWBCTR3
	{0x6d, 0x55},			//AWBCTR2
	{0x6e, 0x11},			//AWBCTR1
	{0x6f, 0x9f},			//AWBCTR0
	{0x70, 0x3a},			//SCALING_XSC
	{0x71, 0x35},			//SCALING_YSC
	{0x72, 0x11},			//SCALING_DCWCTR
	{0x73, 0xf1},			//SCALING_PCLK_DIV						   !!!!!!!
	{0x74, 0x20},			//REG74
	{0x75, 0x20},			//REG75
	{0x76, 0xe1},			//REG76
	{0x77, 0x01},			//REG77
	{0x78, 0x04},			//RSVD
	{0x79, 0x01},			//RSVD
	{0x7a, 0x20},			//SLOP
	{0x7b, 0x1c},			//GAM1
	{0x7c, 0x28},			//GAM2
	{0x7d, 0x3c},			//GAM3
	{0x7e, 0x55},			//GAM4
	{0x7f, 0x68},			//GAM5
	{0x80, 0x76},			//GAM6
	{0x81, 0x80},			//GAM7
	{0x82, 0x88},			//GAM8
	{0x83, 0x8f},			//GAM9
	{0x84, 0x96},			//GAM10
	{0x85, 0xa3},			//GAM11
	{0x86, 0xaf},			//GAM12
	{0x87, 0xc4},			//GAM13
	{0x88, 0xd7},			//GAM14
	{0x89, 0xe8},			//GAM15
	{0x8A, 0x00},			//RSVD
	{0x8B, 0x00},			//RSVD
	{0x8C, 0x00},			//RSVD
	{0x8d, 0x4f},			//ESVD
	{0x8e, 0x00},			//ESVD
	{0x8f, 0x00},			//ESVD
	{0x90, 0x00},			//ESVD
	{0x91, 0x00},			//ESVD
	{0x92, 0x00},			//DM_LNL
	{0x93, 0x00},			//DM_LNH				-+-
	{0x94, 0x04},			//LCC6
	{0x95, 0x08},			//LCC7
	{0x96, 0x00},			//ESVD
	{0x97, 0x30},			//RSVD
	{0x98, 0x20},			//RSVD
	{0x99, 0x30},			//RSVD
	{0x9a, 0x84},			//RSVD
	{0x9b, 0x29},			//RSVD
	{0x9c, 0x03},			//RSVD
	{0x9d, 0x4c},			//BD50ST
	{0x9e, 0x3f},			//BD60ST
	{0x9f, 0x78},			//HRL
	{0xa0, 0x68},			//LRL
	{0xa1, 0x03},			//DSPC3
	{0xa2, 0x02},			//SCALING_PCLK_DELAY
	{0xa3, 0x00},			//RSVD					-+-
	{0xa4, 0x89},			//NT_CTRL
	{0xa5, 0x05},			//AECGMAX
	{0xa6, 0xdf},			//LPH
	{0xa7, 0xdf},			//APL
	{0xa8, 0xf0},			//TPL
	{0xa9, 0x90},			//TPH
	{0xaa, 0x94},			//NALG
	{0xab, 0x07},			//RSVD
	{0xAC, 0x00},			//STR-OPT				-+-
	{0xAD, 0x80},			//STR-R					-+-
	{0xAE, 0x80},			//STR-G					-+-
	{0xAF, 0x80},			//STR-B					-+-
	{0xb0, 0x84},			//ESVD
	{0xb1, 0x0c},			//ABLC1
	{0xb2, 0x0e},			//ESVD
	{0xb3, 0x82},			//THL_ST
	{0xB4, 0x00},			//RSVD
	{0xB5, 0x04},			//THL_DLT
	{0xB6, 0x00},			//RSVD
	{0xB7, 0x00},			//RSVD			
	{0xb8, 0x0a},			//ESVD
	{0xB9, 0x00},			//RSVD					-+-
	{0xBA, 0x00},			//RSVD					-+-
	{0xBB, 0x00},			//RSVD					-+-
	{0xBC, 0x00},			//RSVD					-+-
	{0xBD, 0x00},			//RSVD					-+-
	{0xBE, 0x00},			//AD-CHB				-+-
	{0xBF, 0x00},			//AD-CHR				-+-
	{0xC0, 0x00},			//AD-CHGb				-+-
	{0xC1, 0x00},			//AD-CHGr				-+-
	{0xC2, 0x00},			//RSVD					-+-
	{0xC3, 0x00},			//RSVD					-+-
	{0xC4, 0x00},			//RSVD					-+-
	{0xC5, 0x00},			//RSVD					-+-
	{0xC6, 0x00},			//RSVD					-+-
	{0xC7, 0x00},			//RSVD					-+-
	{0xc8, 0x40},			//RSVD
	{0xc9, 0x60},			//SATCTR	
};


#endif
